package Cpanel::Config::ConfigObj::Driver::LveManager::META;

if( -e '/usr/local/cpanel/Cpanel/Config/ConfigObj/Interface/Config/Version') {
    eval('use parent qw(Cpanel::Config::ConfigObj::Interface::Config::Version::v1);');
}

our $VERSION = '1.0';
use Cpanel::LoadModule ();

use strict;

sub meta_version {
    return 1;
}

sub get_driver_name {
    return 'LveManager_driver';
}

sub content {
    my ($locale_handle) = @_;

    my $content = {
        'vendor' => 'CLOUD LINUX INC',
        'url'    => 'cloudlinux.com',
        'name'   => {
            'short'  => 'LveManager Driver',
            'long'   => 'Driver for LveManager Plugin',
            'driver' => get_driver_name(),
        },
        'since'    => 'cPanel & WHM version 11.32.4',
        'abstract' => "LveManager Driver",
        'version'  => $Cpanel::Config::ConfigObj::Driver::LveManager::VERSION,
    };

    if ($locale_handle) {
        $content->{'abstract'} = $locale_handle->maketext("LveManager driver.");
    }

    return $content;
}

1;
